TAAS - Feature #78

Voucher Stock
11/01/2022 03:06 PM - Anil KV

Status: New Changes Coding Done Start date: 11/01/2022
Priority: Normal Due date:

Assignee: Greeshma S % Done: 70%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: Arathy PS
Time Taken(HH): Code Reviewed By:

Module: Voucher Stock

Description

Coding Voucher Stock

History

#1 - 11/01/2022 05:39 PM - Anil KV

GUI Change

1) Hide Posting Status

2) change label Extra Collection to Management Fee

3) Posting Status and Approved by: set a line(Like Customer Status and Approved by:)

#2 - 11/08/2022 12:35 PM - Junaid M

Ul Changes:

Rename Label Extra Collection to Management Fee.

Rename Label Comparison to Commission.

After Management Fee widget Add Discount, Discount Perc widgets.
Add Button "Add" In Details Grid on top center.

Rename Label "Format™ to "Column No' in Import pop-up.

Move ROE widget to above Amount.

Calculation Eqn:
Cost = Fare (Amount) + Tax - Commission + Supl Fee;
Price = Fare (Amount) + Tax + Supl Fee + Service Fee + Management Fee - Discount;

#3 - 11/09/2022 08:00 PM - Junaid M
- File 1-CsModel.cs added

- File 2-tsModel.ts added

- File 3-CsFile.cs added

- File 4-CsControllerFile.cs added

- File 5-TsFile.ts added

- File 6-HtmliFile.html added

- File sql.sql added

Solution Done.
Posting Related features Pending.

#4 - 11/10/2022 09:32 AM - Junaid M
- Status changed from New to Open

- % Done changed from 0 to 10

#5 - 11/12/2022 05:52 PM - Anil KV

- Assignee changed from Junaid M to Aparna Mathew

#6 - 11/14/2022 03:08 PM - Aparna Mathew
- Status changed from Open to Coding Started
- % Done changed from 10 to 40

#7 - 12/03/2022 09:45 AM - Aparna Mathew
- Status changed from Coding Started to Coding Done
- % Done changed from 40 to 60

#8 - 12/07/2022 02:32 PM - Amal Cyriac

- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to Amal Cyriac

ISSUE FOUND *****
1.SET SUPPLIER MANDATORY

#9 - 12/09/2022 03:58 PM - Junaid M
- File ExtraCs.cs added

#10 - 12/13/2022 10:06 AM - Aparna Mathew

url document number passing from voucher stock list is not cleared.

#11 - 01/12/2023 06:01 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#12 - 01/13/2023 02:03 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****
1.NOT ALLOW '-' VALUES ON ROE
(REMOVE NUMBER FIELD FROM ROE INPUT BOX)

#13 - 01/18/2023 04:35 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#14 - 01/30/2023 11:13 AM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****
1.SHOW "DOES NOT EXIST" WHILE ENTER INVALID OR DELETED VOUCHERS
2.FIX CALCULATION ERRORS (PRICE)

#15 - 02/01/2023 09:44 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#16 - 02/01/2023 01:03 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1. AMOUNT PER ITEM IN CURRENCY MUST BE CHANGED BASED ON SUPPLIER'S CURRENCY
(SUPPLIER PAYABLE )

2.FIX ERRORS ON SEQUENCE
( VOUCHER MISSING AFTER UPDATE)
3.SAVED STATUS MISSING AFTER UPDATE

#17 - 02/07/2023 10:44 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#18 - 03/14/2023 06:06 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****
1.Use CODE:NAME format on selection box
(Branch & Department)

#19 - 03/15/2023 06:33 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#20 - 05/25/2023 06:23 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.Update icons on grid - Edit & Delete

2.Fix errors on grid - while sort & update

3.Add precision on percentage

4 Precision missing while update

5.Set proper alerts for prevent update by two users at a time - Error
6.Set validations on amount -

( If amount column is empty , other charges should be cleared)

#21 - 05/29/2023 01:09 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#22 - 06/01/2023 06:29 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****
1.Fix duplication error on vouchers
(Sort& Edit)

#23 - 06/02/2023 12:11 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#24 - 06/28/2023 05:24 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Amal Cyriac to unnikannan S

ISSUE FOUNDED
1.ADD ONE SELECTED OPTION IN VOUCHER LIST

#25 - 07/04/2023 10:40 AM - Aparna Mathew

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#26 - 07/19/2023 03:08 PM - Junaid M
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

GUI Change

1. Add Posting Status And Need Posting Check Box like ticket issue customer tab

#27 - 07/26/2023 06:24 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#28 - 10/13/2023 02:09 PM - unnikannan S
TESTING DONE

#29 - 10/14/2023 02:28 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED
1.NOT SHOWING DATA IN VOUCHER STOCK LIST WHILE ADDING SEQUENCE AND SAVE
#30 - 10/14/2023 05:28 PM - unnikannan S
unnikannan S wrote in #note-29:
ISSUE FOUNDED

1.NOT SHOWING DATA IN VOUCHER STOCK LIST WHILE ADDING SEQUENCE AND SAVE
2.REMOVE TYPE AIR TICKET SERVICES (TYPE SETTED IN SERVICE MODULE)

#31 - 10/30/2023 11:05 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#32 - 01/19/2024 06:15 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED
1.INCREASE IN AMOUNT FIELD WHILE FOCUS OUT OR RELOADING THE VOUCHER
#33 - 01/20/2024 11:44 AM - Aparna Mathew

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#34 - 01/20/2024 03:12 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.NOT CHANGE IN AMOUNT FIELD AFTER CHANGING ALREADY ADDED AMOUNT PERCENTAGE FIELD IN Ul
#35 - 01/20/2024 04:30 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#36 - 01/20/2024 04:46 PM - unnikannan S
TESTING DONE

#37 - 01/24/2024 04:37 PM - Junaid M
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

GUI Change

1. Add Posting Status And Need Posting Check Box like ticket issue customer tab
2. Write Posting & Save to transaction table
3. Set Flag in supp doc table if posting is done

Posting Records

VOUCHER_STOCK_CONTROL_ACCOUNT_DEBIT_POSTING - DR - Account -> Service Master -> Supplier Side Account Control
VOUCHER_STOCK_SUPPLIER_ACCOUNT_CREDIT_POSTING - CR - Account -> Supplier

#38 - 02/02/2024 10:19 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#39 - 02/23/2024 04:38 PM - Junaid M
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

Voucher Stock GUI Changes:-—

Loadded Service 'Allowed Stock' ON Servicess only

Hide Details Tab

Add Fee Ancilary tab - Load Selected Service Base (list like branch)
Add Branch Tab - Deafult Tick all Branches

#40 - 02/26/2024 06:26 PM - Aparna Mathew

- Status changed from Reopen Bugs to New Changes

#41 - 02/27/2024 02:47 PM - unnikannan S

- Status changed from New Changes to Reopen Bugs

ISSUE FOUNDED

1.MISSING AMOUNT AFTER UPDATE IN CASE AFTER ADDING SEQUENCE

2.IN CASE OF CHECK BOX SELECTION ONLY ENABLE POSTING STATUS
3.ERROR WHILE CLEARING POSTING STATUS CHECK BOX AND UPDATE

#42 - 02/28/2024 01:11 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#43 - 03/05/2024 11:12 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUNDED

1.BLOCK DELETION IF THE VOUCHER IS USED IN ANY SUB DOC MODULES/SALE
#44 - 03/05/2024 11:45 AM - unnikannan S
Ul CHANGES

Add cancel icon in list

Cancel Popup

Status - Selectbox -> Active,Cancel,Reserved
Canceled Date

Remarks - Textarea

#45 - 03/05/2024 11:47 AM - unnikannan S
ISSUE FOUNDED

1.LOAD SAVED VOUCHERS DATAS TO SUB DOCS MODULES

#46 - 03/08/2024 06:17 PM - Junaid M

Expected Data Flow

Voucher Stock Save => Insert to SuppDoc
Voucher Stock Change to Cancel Status => Remove From SuppDoc, Keep own table data
Voucher Stock Again Change to Active => Insert to SuppDoc

In Grid Status=> Show Current Status

#47 - 03/21/2024 10:42 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#48 - 03/21/2024 12:28 PM - unnikannan S

- File clipboard-202403211227-kzx25.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

#49 - 03/21/2024 12:31 PM - unnikannan S
ISSUE FOUNDED

1.ERROR ON SAVE WHILE ADDING ALREADY SAVED VOUCHER NO IN A NEW STOCK LIST
2.FIX RANSLATION BUG IN Voucher Add

3.CLEAR CURRENCY CODES OF SUPPLIER IN Ul WHILE CHOOSING NEW BUTTON

4.FIX BUGS IN FARE FIELDS WHILE CHANGING ALREADY ADDED AMOUNT

#50 - 03/22/2024 11:37 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#51 - 05/17/2024 05:44 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.Show Posting As Per The Changes In Service Voucher Stock (Supplier Side Posting)

#52 - 06/06/2024 11:15 AM - unnikannan S
- File clipboard-202406061115-i5cak.png added

#53 - 06/07/2024 12:52 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#54 - 06/12/2024 06:27 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED
1.Saving Iltems Without Adding Fare Value
#55 - 06/14/2024 10:07 AM - Aparna Mathew

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#56 - 07/05/2024 11:25 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.Fix Error On Save (Column 'jsn_duplicate_records' does not belong to table Table.)

#57 - 07/05/2024 01:46 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#58 - 08/09/2024 10:48 AM - Avinash MS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

Issue Found

Showing Services with "Allow Stock" untick in Service field

#59 - 08/10/2024 10:40 AM - Arathy PS

- Status changed from Reopen Bugs to New Changes

GUI CHANGES

1)START PREFIX SHOULD BE BLUE STAR

) DON'T CLEAR THE DATA ON THE FIELD

JCAN'T CHANGE THE STATUS OF THE USED VOUCHER
JCHANGE OF VOUCHER STATUS ICON

)

2
3
4
5)CHANGE THE TITLE OF VOUCHER STATUS POP UP

#60 - 08/19/2024 09:25 AM - Aparna Mathew
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#61 - 08/19/2024 01:55 PM - unnikannan S
- Status changed from New Changes Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.Fix Translation Mistakes On Pop Up
2.Adjust Gap Between Status And Voucher No In Pop Up

#62 - 08/19/2024 11:03 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#63 - 08/28/2024 10:40 AM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1) Data is not fetching from branch tab

2) Remarks-notHeoadingintheFEMgrid

#64 - 08/31/2024 03:17 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#65 - 09/11/2024 07:20 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Testing Done

- % Done changed from 70 to 90

#66 - 10/21/2024 05:42 PM - Arathy PS
- Status changed from Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISSUE FOUND

1. Voucher numbers should be unique.

2. Voucher number shouldn't be already used in issue or cancel module.

#67 - 10/25/2024 10:21 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#68 - 10/28/2024 10:52 AM - Arathy PS

- File clipboard-202410281052-wylbw.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1. Based on service filter the ancillary service showing in the Ul.
2. Mapping account shouldn't be needed is status is no posting
¢« > c

Voucher Stock

25 localhost:44:

¢ Travvise

TRAVEL SOLUTION PVT LTD

-~
Collapse
A
Home
-
Front
=
Back
=
Report
Q
Find/Info
=
To Do
o
Master
L3
More
”
Inventory
=
Assets

&
Dashboard

382

382/VoucherStock

Voucher Stock

I ISupplier Side Posting Account From Service Not Set. Please Set Through Service Master or Set Mapping Account]

Doc No Date* | 28/10/2024 (| Fare
Branch®  BROO1: Main v Department* ' Dp001z: Account v
Service®  SAQ05: Other Service v
Supplier* | suPQO2 1G QAR v
Reference Expiry Date E
Consider*  Adult Child Infant M
Remarks
%
Doc Status*  Active v By
Posting Status* No Posting v By
Total Cost:  100.00 QAR Total Price:  100.00 QAR ;?;aﬁ‘t; 0.00 QAR
Created By:
Modified By:
+ Add = Sequence
Voucher No Currency Cost Price
Vs001 QAR 100.00 100.00
Vs002 QAR 100.00 100.00
V5003 QAR 100.00 100.00
VS004 QAR 100.00 100.00
V5005 QAR 100.00 100.00

#69 - 10/29/2024 02:48 PM - Aparna Mathew

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#70 - 11/11/2024 02:30 PM - Arathy PS

- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND

Branch*  Ancillary Service

Amount | 10000
Tax | 0.00

Commission | 0.00

Supplier Fee | 0,00

Cost* | 100.00

Service Fee | 0.00
Management Fee 0.00
Discount | (.00

Price | 100,00

& Import

Profit

J
ug)
Q

~
(s

Amount Per [tem In QAR

o 0.00

o 0.00

Amount Per Item In QAR

Status

Active

Active

Active

Active

Active

1. The amount we enter on tax, commission, service field gets changed on saving or after entering

#71 - 11/12/2024 09:45 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#72 - 11/22/2024 05:49 PM - Theja Ponon
- File clipboard-202411221749-hijzo.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

%

0.00

0.00

0.00

Remarks

L SENENEN
EN=I= =)

S

J

E‘I\LG E.? qx © 10:49 a

Sequence

&

R

Q

[

[<]

[

28-10-2024 =

ISSUE FOUND

1)CANT UPDATE THE VOUCHER STOCK
Jravvise

Voucher Stock

The Voucher Number Already Existing.

DocNo | ysjo0a

Branch™ | BROOT: Main v

SAD02: Hotel Service

P04 Sarath
o

Consider” | Aguit % Child Infznt
Remark:

r

Active

Posting Szt Posting
e Total Cost: 1005.00 04R Total Frice
0543 PM)

brd

# | Voucher No Currency

1 /0011 QAR

1015.00 OAR

#73 - 11/23/2024 10:02 AM - Aparna Mathew

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#74 - 11/23/2024 10:43 AM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#75 - 11/26/2024 04:18 PM - Theja Ponon
- File clipboard-202411261613-h26ur.png added
- File clipboard-202411261614-jtde8.png added

- Status changed from Reopen Bugs Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISSUE FOUND

Imported from Goo...

qr. vvise

RAVEL SOLUTION PVT LTD

Voucher Stock

22/11/2024

DPO01= Account

Total Profit:

10.00 AR

+ Add

ey

-

= Sequence

Price

& import

Amount Per Item In QAR

Amount Per ltem In QAR

1015.00

Profit | Status Remarks

1000 | Active

P0001: jsnSpOutRes: {"sinSqiCustomStatus” ; -1, "strSglCustomStatusCode” : "ERROR", "strSglCustomMessage” : "Voucher Stock Save Failed”, "strSqlCustomErrorType" : "DATABASE_SYSTEM_ERROR",

.

w
B Dedete
& Posting
Attachment
e
=

ollapse
- "strSqlCustomErrarCode” : null, "strSqlSysMessage” : "column \"'nul\" does not exist”, "strSqlSysExceptionDetail” : ", "strSqlSysExceptionHint" : "PL/pgSQL function
Hom sp_insert_or_update_voucher_stock(jsonb jsonb jsonb[] jsenb[] bigint(]) line 163 at SQL statement”, "binSqIPk" : 28, "binSqllLogPk" : 0, "strSqlDacNo” : null, "dctSqlOtherData” : {"binDocumentld™: 28",
"strDocumentMo™ "V5/013", "binSuppDecNold": null, "binVoucherStockld™ "13"}}
Front
= DocNo | vs/013 Date” | 26/11/2.. | € 3 Fare = Branch®  Ancillary Service 8 ng
Back
— Branch* - ~ Department” - ~
= BROO1: Main DPO01: Accown Amount Per ltem In QAR N
Report o .
L Service™ | SAQ02:: Hotel Service hd Amount | 1000.00 Attachment
ind/Info Supplier” | 5po4 Sarath QA ¥ Tax | 0.00 -l
+ Add
Reference Expiry Date | 4 (i) Commission | 0,00 % 0.00 =T
Consider™ | Adult Child Infant M jer F % —
I il nfani Supplier Fee | 0,00 % 0.00 Sequence
Remarks Cost*
Cost’ 1000.00
4
Doc Status™ i By:
ocSIanET | Active il g Amount Per Item In QAR
Pasting Status” Posting v By Service Fee | 0,00 % 0.00
Mana it F 04 %,
F Totsl 100000 Totsl 100000  Toml  0.00 anagement fee | 0.00 080
L<hboartl Cost: QAR Price: QAR Profit: QAR Discount | 000 % 000
Created By:  admin(26/11/2024 04:03 PM) Price | 1000.00
Medified By: il 7
) |/ ﬁ\l |/¥\\\
L
2)THIS ISSUE SHOWS ON DELETING AN UNUSED VOUCHER STOCK

Imported from Goa...

Object reference not set to an instance of an object.

Delete Reason® | Delete R

E Close Tl Delete

#76 - 11/27/2024 10:34 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#77 - 11/28/2024 02:32 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#78 - 12/05/2024 02:15 PM - Theja Ponon
- File clipboard-202412051413-gzvwp.png added
- Status changed from Reopen Bugs Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISSUE FOUND

1)THIS ISSUE ON DELETING A VOUCHER STOCK WHERE THE VOUCHER IS USED (THE VOUCHER IS ISSUED IN ANOTHER TAB AND
WITHOUT REFERSHING TRY TO DELETE THE VOUCHER STOCK)

Imported from Gao...

update or delete on table “tbl_voucher_stock_details” violates foreign key constraint “tbi_supp_doc_no_fk_voucher_stock_details_id_fkey” >
on table "th_supp_doc_na”

Delete Rezason® | WDADSF

& Close W Delete
2)CHANGE THE DOCUMENT NOTE ICON

#79 - 12/05/2024 09:59 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#80 - 12/06/2024 04:51 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#81 - 12/17/2024 10:17 AM - Arathy PS

- Assignee changed from Aparna Mathew to Augustin Jose

#82 - 01/02/2025 03:35 PM - Arathy PS

- Assignee changed from Augustin Jose to Greeshma S

#83 - 01/07/2025 03:21 PM - Arathy PS

- File clipboard-202501071522-gpyel.png added

- Status changed from Reopen Bugs Testing Done to Reopen Bugs
- % Done changed from 90 to 50

- Tested By changed from unnikannan S to Arathy PS

ISSUE FOUND

1. Incorrect amount in the total cost as it not calculating total amount as per item.
2. Incorrect amount in posting

Voucher Stock

'VOUCHER STOCK has been Saved.

Docho | vs/001 Date™ | 07/01/2025 ©® B fare Branch  Ancillary Senice
W
Branch® | BROOT: Main v Department” | DPOO1: Account e Amount Per ltem In QAR
Servicer & Posting
ervice SA002:: Hotel Service ™ Amount | 1000.00
Supplier” | sUP0O2 SKYONE QAR v Tax | 000
. Attachment
Reference Expiry Date | 12/01/2025 Q0 Commission | 0,00 % 000
Consider” | Adult Child Infant - SupplierFee | .00 % 0.00
Remarks Cost® | 100000
#
DocStatus™ | Active Vo Amount Per ltem In QAR
Posting Status® Posting v By Service Fee | 50,00 * 500

Total Cost:  1000.00 QAR Total Price:  1050.00 QAR Total Profit.  50.00 QAR Manzgement Fee | 0.00 * 000 m
Discount | 0.00 % 000 =
Sequence

Created By:  Administrator(07/01/2025 03:13 PM)

Price
Modified By: Administrator(07/01/2025 03:18 PM)[1] 105000

+ Add i= Sequence & Import T Q =2 0O
#  Voucher No Currency Cost Price Profit | Status Remarks
1 HV/002 QaR 100000 105000 5000 | Active &S w
2 Hv/003 QAR 100000 105000 5000 | Active &S W
3 Hv/o04 QAR 1000.00 1050.00 5000 Active P

#84 - 01/08/2025 06:29 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#85 - 01/09/2025 10:24 AM - Theja Ponon

- File clipboard-202501091024-r9rjn.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50
ISSUE FOUND

1)tally issue on saving

Debit and Credit Zero not allowed in a entry(0 Dr, 0 Cr).

Doc Mo Date” 09/0...
Branch™ ' BROOT: Main ~ Department™  DPOO1: Acc
Service™ | SAQ02: Hotel Service
Supplier” | SUP0O1 BSP Supplier Qu
Reference Expiry Date
Consider”  Adult Child Infant
Remarks | fhhgjfghfh
Doc Status® | Active hd
Posting Status™ Posting s
Tota ~ap  Tota v lotal 0.00
Cost 0-00 QAR Price 0.00 QAR Profit QAR
Created By

2)Cant update the voucher number

#86 - 01/09/2025 04:01 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#87 - 01/09/2025 07:04 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to New Changes

- % Done changed from 70 to 50

NEW CHANGES

--> Add Checkbox left side, bottom
--> Label "Release the Voucher for New Sale If Refunded"

Fare = Branch*

Amount
Tax
Commission
Supplier Fee

Cost™

Service Fee
Management Fee
Discount

Price

--Blue * and Need Detailed Title -> "Release at the time of refund. only release if not expired"

=> Related Module Work (Refund)

--> At the time Refund if any item having Stock and ticked "Release the Voucher for New Sale If Refunded" and not expired then release voucher no.

by incrementing "tbl_supp_do_no.sin_avoid_duplicate_flag"

#88 - 02/24/2025 09:26 AM - Greeshma S
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#89 - 03/11/2025 04:54 PM - Arathy PS
- Status changed from New Changes Coding Done to New Changes
- % Done changed from 70 to 50

1. Add a validation if the voucher no: is already used in supp doc in a normal issue while we create a stock sequence in the same series no:

#90 - 03/13/2025 06:16 PM - Greeshma S
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

Files

Amount Per ltem In QAR

1000.00
10.00

10.00 % 1.00
10.00 1.00
1010.00

Amount Per ltem In QAR

50.00 % 5.00
10.00 1.00
10,00 1.00
1070.00

05/04/2025
4.11 KB
3.31 KB
8.41 KB
24.7 KB
1.91 KB
14.2 KB
56.9 KB
14.1 KB
486 KB
180 KB
382 KB
104 KB
164 KB
115 KB
94.3 KB
143 KB
46.6 KB

11/09/2022
11/09/2022
11/09/2022
11/09/2022
11/09/2022
11/09/2022
11/09/2022
12/09/2022
03/21/2024
06/06/2024
10/28/2024
11/22/2024
11/26/2024
11/26/2024
12/05/2024
01/07/2025
01/09/2025
Junaid M
Junaid M
Junaid M
Junaid M
Junaid M
Junaid M
Junaid M
Arathy PS
